kind: pipeline
type: docker
name: Yann Verry - Blog

steps:

- name: hugo
  image: corpusops/hugo
  commands:
  - hugo

- name: hugo_extended
  image: corpusops/hugo
  commands:
  - hugo_extended
  depends_on:
  - hugo

- name: scp files
  depends_on:
  - hugo
  - hugo_extended
  image: appleboy/drone-scp
  settings:
    host: peach.internal.verry.org
    source: ./public/
    target: ./
    username: yann-blog
    recursive: true
    key:
        from_secret: ssh_key
